aboutsummaryrefslogtreecommitdiff
path: root/doc
diff options
context:
space:
mode:
authoromni <omni+vagant@hack.org>2021-04-03 00:57:02 +0000
committerFelix Queißner <felix@ib-queissner.de>2021-04-03 10:47:53 +0200
commit8d0eb55033a46f5b278224d173499d2f3d42eadf (patch)
tree64ba945035aec5ae114a9c8641e0a224dde33daa /doc
parent5c59e94d941531a099d097d11bfc31274a932229 (diff)
downloadkristall-8d0eb55033a46f5b278224d173499d2f3d42eadf.tar.gz
don't depend on bash
Diffstat (limited to 'doc')
-rwxr-xr-xdoc/gen-man.sh22
1 files changed, 11 insertions, 11 deletions
diff --git a/doc/gen-man.sh b/doc/gen-man.sh
index b0e6f06..5b8ad18 100755
--- a/doc/gen-man.sh
+++ b/doc/gen-man.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
#
# gen-man
#
@@ -20,25 +20,25 @@ gemtext_in="../src/about/help.gemini"
gemtext_converter="./gem-to-man.awk"
# Make sure we have all the stuff we need
-if [[ ! -f "$man_head" ]]; then
+if [ ! -f "$man_head" ]; then
echo "man page head does not exist."
- exit -1
+ exit 1
fi
-if [[ ! -f "$man_tail" ]]; then
+if [ ! -f "$man_tail" ]; then
echo "man page tail does not exist"
- exit -1
+ exit 1
fi
-if [[ -z "$man_output" ]]; then
+if [ -z "$man_output" ]; then
echo "No output file"
- exit -1
+ exit 1
fi
-if [[ ! -f "$gemtext_in" ]]; then
+if [ ! -f "$gemtext_in" ]; then
echo "Input gemtext file does not exist"
- exit -1
+ exit 1
fi
-if [[ ! -f "$gemtext_converter" ]]; then
+if [ ! -f "$gemtext_converter" ]; then
echo "Gemtext converter script does not exist"
- exit -1
+ exit 1
fi
# Write the head to the output file.